//this is used for defining the colors used as examples for the effect
freeslot(
"SKINCOLOR_USERL",
"SKINCOLOR_CONTESTWINNERL",
"SKINCOLOR_JUDGEL",
"SKINCOLOR_MODERATORL",
"SKINCOLOR_DEVELOPERL",
"SKINCOLOR_ADMINISTRATORL",
"SKINCOLOR_SONICFOREVERL",
"SKINCOLOR_TAILSFOREVERL",
"SKINCOLOR_KNUCKLESFOREVERL",
"SKINCOLOR_AMYFOREVERL",
"SKINCOLOR_FANGFOREVERL",
"SKINCOLOR_SONICANGELL",
"SKINCOLOR_TAILSANGELL",
"SKINCOLOR_KNUCKLESANGELL",
"SKINCOLOR_AMYANGELL",
"SKINCOLOR_FANGANGELL",
"SKINCOLOR_BROWNFOREVERL",
"SKINCOLOR_CTRNITROFUELEDL",
"SKINCOLOR_DEPRESSIOL",
"SKINCOLOR_CREAML",
"SKINCOLOR_DOUGHL",
"SKINCOLOR_WOLFL",
"SKINCOLOR_BANANL",
"SKINCOLOR_GREENFLOWERWALLL",
"SKINCOLOR_FANGTASTICCOLORL",
"SKINCOLOR_STATUEL",
"SKINCOLOR_REALBLACKL",
"SKINCOLOR_BORNINGGRAYDAYSL",
"SKINCOLOR_PURPLEFOREVERL",
"SKINCOLOR_SUBDREAML",
"SKINCOLOR_WEREHOGL"
)

skincolors[SKINCOLOR_USERL] = {
	name = "User L",
	ramp = {16,17,18,19,20,21,22,23,23,22,21,20,19,18,17,16},
	invcolor = SKINCOLOR_WHITE,
	invshade = 9,
	chatcolor = V_WHITEMAP,
	accessible = true
}

skincolors[SKINCOLOR_CONTESTWINNERL] = {
	name = "Contest Winner L",
	ramp = {79,78,77,76,75,74,74,72,72,72,74,74,75,76,77,78},
	invcolor = SKINCOLOR_CORNFLOWER,
	invshade = 9,
	chatcolor = V_YELLOWMAP,
	accessible = true
}

skincolors[SKINCOLOR_JUDGEL] = {
	name = "Judge L",
	ramp = {184,183,182,181,180,179,178,177,176,177,178,179,181,182,183,184},
	invcolor = SKINCOLOR_LIME,
	invshade = 9,
	chatcolor = V_ROSYMAP,
	accessible = true
}

skincolors[SKINCOLOR_MODERATORL] = {
	name = "Moderator L",
	ramp = {100,101,102,103,104,105,106,107,108,107,106,105,104,103,102,101},
	invcolor = SKINCOLOR_RED,
	invshade = 9,
	chatcolor = V_GREENMAP,
	accessible = true
}

skincolors[SKINCOLOR_ADMINISTRATORL] = {
	name = "Administrator L",
	ramp = {183,184,184,185,185,186,186,187,187,187,186,186,185,185,184,184},
	invcolor = SKINCOLOR_CERULEAN,
	invshade = 9,
	chatcolor = V_PURPLEMAP,
	accessible = true
}

skincolors[SKINCOLOR_DEVELOPERL] = {
	name = "Developer L",
	ramp = {54,55,56,57,58,59,60,61,62,61,60,59,58,57,56,55},
	invcolor = SKINCOLOR_BLUE,
	invshade = 9,
	chatcolor = V_ORANGEMAP,
	accessible = true
}

skincolors[SKINCOLOR_SONICFOREVERL] = {
	name = "Sonic Forever L",
	ramp = {144,147,150,153,156,159,26,29,31,28,25,159,156,153,150,147},
	invcolor = SKINCOLOR_ORANGE,
	invshade = 9,
	chatcolor = V_BLUEMAP,
	accessible = true
}

skincolors[SKINCOLOR_TAILSFOREVERL] = {
	name = "Tails Forever L",
	ramp = {48,51,54,57,60,63,26,29,31,28,25,63,60,57,54,51},
	invcolor = SKINCOLOR_BLUE,
	invshade = 9,
	chatcolor = V_ORANGEMAP,
	accessible = true
}

skincolors[SKINCOLOR_KNUCKLESFOREVERL] = {
	name = "Knuckles Forever L",
	ramp = {32,34,37,40,43,46,27,29,31,28,27,46,43,40,34,32},
	invcolor = SKINCOLOR_GREEN,
	invshade = 9,
	chatcolor = V_REDMAP,
	accessible = true
}

skincolors[SKINCOLOR_AMYFOREVERL] = {
	name = "Amy Forever L",
	ramp = {252,200,202,204,206,207,26,29,31,28,25,207,206,204,202,200},
	invcolor = SKINCOLOR_AQUA,
	invshade = 9,
	chatcolor = V_ROSYMAP,
	accessible = true
}

skincolors[SKINCOLOR_FANGFOREVERL] = {
	name = "Fang Forever L",
	ramp = {192,194,196,197,198,199,26,29,31,28,25,199,198,197,196,194},
	invcolor = SKINCOLOR_GOLD,
	invshade = 9,
	chatcolor = V_PURPLEMAP,
	accessible = true
}

skincolors[SKINCOLOR_SONICANGELL] = {
	name = "Sonic Angel L",
	ramp = {159,156,153,150,147,144,6,3,0,3,6,144,147,150,153,156},
	invcolor = SKINCOLOR_ORANGE,
	invshade = 9,
	chatcolor = V_BLUEMAP,
	accessible = true
}

skincolors[SKINCOLOR_TAILSANGELL] = {
	name = "Tails Angel L",
	ramp = {63,60,57,54,51,48,6,3,0,3,6,48,51,54,57,60},
	invcolor = SKINCOLOR_BLUE,
	invshade = 9,
	chatcolor = V_ORANGEMAP,
	accessible = true
}

skincolors[SKINCOLOR_KNUCKLESANGELL] = {
	name = "Knuckles Angel L",
	ramp = {46,43,40,37,34,32,6,3,0,3,6,32,34,37,40,43},
	invcolor = SKINCOLOR_GREEN,
	invshade = 9,
	chatcolor = V_REDMAP,
	accessible = true
}

skincolors[SKINCOLOR_AMYANGELL] = {
	name = "Amy Angel L",
	ramp = {207,206,204,202,200,252,6,3,0,3,6,252,200,202,204,206},
	invcolor = SKINCOLOR_AQUA,
	invshade = 9,
	chatcolor = V_ROSYMAP,
	accessible = true
}

skincolors[SKINCOLOR_FANGANGELL] = {
	name = "Fang Angel L",
	ramp = {199,198,197,196,194,192,6,3,0,3,6,192,194,196,197,198},
	invcolor = SKINCOLOR_GOLD,
	invshade = 9,
	chatcolor = V_PURPLEMAP,
	accessible = true
}

skincolors[SKINCOLOR_BROWNFOREVERL] = {
	name = "Brown Forever L",
	ramp = {225,227,229,231,233,235,237,239,239,237,235,233,231,229,227,225},
	invcolor = SKINCOLOR_KETCHUP,
	invshade = 9,
	chatcolor = V_BROWNMAP,
	accessible = true
}

skincolors[SKINCOLOR_CTRNITROFUELEDL] = {
	name = "CTR: Nitro Fueled L",
	ramp = {120,122,124,126,137,138,169,168,167,166,165,149,148,147,146,129},
	invcolor = SKINCOLOR_MINT,
	invshade = 9,
	chatcolor = V_SKYMAP,
	accessible = true
}

skincolors[SKINCOLOR_DEPRESSIOL] = {
	name = "Tea and some Milk L",
	ramp = {251,250,249,248,247,246,245,244,243,242,241,240,241,242,243,244},
	invcolor = SKINCOLOR_AZURE,
	invshade = 9,
	chatcolor = V_AZUREMAP,
	accessible = true
}

skincolors[SKINCOLOR_CREAML] = {
	name = "Cream L",
	ramp = {215,214,213,212,211,210,209,208,208,209,210,211,212,213,214,215},
	invcolor = SKINCOLOR_RUST,
	invshade = 9,
	chatcolor = V_ROSYMAP,
	accessible = true
}

skincolors[SKINCOLOR_DOUGHL] = {
	name = "Dough L",
	ramp = {225,224,223,222,221,220,219,218,218,219,220,221,222,223,224,225},
	invcolor = SKINCOLOR_BEIGE,
	invshade = 9,
	chatcolor = V_BROWNMAP,
	accessible = true
}

skincolors[SKINCOLOR_WOLFL] = {
	name = "Wolf L",
	ramp = {170,171,172,173,174,175,169,187,187,169,175,174,173,172,171,170},
	invcolor = SKINCOLOR_PERIDOT,
	invshade = 9,
	chatcolor = V_BLUEMAP,
	accessible = true
}

skincolors[SKINCOLOR_BANANL] = {
	name = "Banana L",
	ramp = {80,81,82,83,72,64,65,66,66,65,64,72,83,82,81,80},
	invcolor = SKINCOLOR_CORNFLOWER,
	invshade = 9,
	chatcolor = V_YELLOWMAP,
	accessible = true
}

skincolors[SKINCOLOR_GREENFLOWERWALLL] = {
	name = "Grennflower wall. wait, what? L",
	ramp = {64,65,66,67,68,69,70,71,71,70,69,68,67,66,65,64},
	invcolor = SKINCOLOR_BLUEBELL,
	invshade = 9,
	chatcolor = V_ORANGEMAP,
	accessible = true
}

skincolors[SKINCOLOR_FANGTASTICCOLORL] = {
	name = "FANGtastic Color L",
	ramp = {199,198,197,196,195,194,193,192,180,181,182,183,184,185,186,187},
	invcolor = SKINCOLOR_GOLD,
	invshade = 9,
	chatcolor = V_PURPLEMAP,
	accessible = true
}

skincolors[SKINCOLOR_STATUEL] = {
	name = "Like a Statue L",
	ramp = {87,86,85,84,83,82,81,80,216,217,218,219,220,221,222,223},
	invcolor = SKINCOLOR_BROWN,
	invshade = 9,
	chatcolor = V_AZUREMAP,
	accessible = true
}

skincolors[SKINCOLOR_REALBLACKL] = {
	name = "Real Black L",
	ramp = {31,30,29,28,27,26,25,24,24,25,26,27,28,29,30,31},
	invcolor = SKINCOLOR_WHITE,
	invshade = 9,
	chatcolor = V_WHITEMAP,
	accessible = true
}

skincolors[SKINCOLOR_BORNINGGRAYDAYSL] = {
	name = "Boring Gray Days L",
	ramp = {15,14,13,12,11,10,9,8,8,9,10,11,12,13,14,15},
	invcolor = SKINCOLOR_CLOUDY,
	invshade = 9,
	chatcolor = V_WHITEMAP,
	accessible = true
}

skincolors[SKINCOLOR_PURPLEFOREVERL] = {
	name = "Purple is not Forever L",
	ramp = {159,157,155,153,166,165,164,163,163,164,165,166,153,155,157,159},
	invcolor = SKINCOLOR_GOLD,
	invshade = 9,
	chatcolor = V_MAGENTAMAP,
	accessible = true
}

skincolors[SKINCOLOR_SUBDREAML] = {
	name = "Submariner's Dream L",
	ramp = {120,121,122,123,124,125,126,127,127,126,125,124,123,122,121,120},
	invcolor = SKINCOLOR_ROSY,
	invshade = 9,
	chatcolor = V_SKYMAP,
	accessible = true
}

skincolors[SKINCOLOR_WEREHOGL] = {
	name = "Werehog L",
	ramp = {146,147,148,149,150,137,138,139,139,138,137,150,149,148,147,146},
	invcolor = SKINCOLOR_LILAC,
	invshade = 9,
	chatcolor = V_BLUEMAP,
	accessible = true
}